#ifndef _TK_RECT_OPTION_H_
#define _TK_RECT_OPTION_H_

#include "tk_baseoption.h"

class TkRectOption:public TkBaseOption
{
protected:
	void doSerialize(TiXmlElement& element) const;
	void doDeserialize(const TiXmlElement& element);
public:
	static TXmlObject* newObject()
	{
		return new TkRectOption();
	}

	int x,y;
	int width,height;
	
	static const char* type;
	const char* getType() const;
	
	TkRectOption();
	TkRectOption(int x,int y,int width,int height);

	const string& toString() const;
	void fromObject(Tcl_Obj* object);
};

#endif/*_TK_RECT_OPTION_H_*/
